msgpack::adaptor::pack< T, Enabler > Struct Template Reference

`#include <adaptor_base.hpp>`

Inheritance diagram for msgpack::adaptor::pack< T, Enabler >:

## Public Member Functions

template<typename Stream >
msgpack::packer< Stream > & | operator() (msgpack::packer< Stream > &o, T const &v) const

## Member Function Documentation

## operator()()

template<typename T , typename Enabler >
template<typename Stream >

msgpack::packer< Stream > & msgpack::adaptor::pack< T, Enabler >::operator() | ( | msgpack< T, Enabler >::packer< Stream > & | o,
|  | T const & | v
| ) |  | const

inline

References msgpack::detail::packer_serializer< Stream, T >::pack().

The documentation for this struct was generated from the following files:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/adaptor_base.hpp
- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/object.hpp